com.unitech.lib.engine.types

## Enum PowerOnIndicator

- java.lang.Object
- - java.lang.Enum<PowerOnIndicator>
  - - com.unitech.lib.engine.types.PowerOnIndicator

- All Implemented Interfaces:
    Serializable, Comparable<PowerOnIndicator>

      public enum PowerOnIndicator
      extends Enum<PowerOnIndicator>

  The PowerOnIndicator enum represents different types of power on indicators. Each power on indicator is associated with a unique byte value and a descriptive string message. The enum provides methods to get the byte value and string message of a power on indicator, and to get a power on indicator from its byte value. It also provides a method to get an array containing the names of the power on indicators.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `beeper`
    `beeperVibrator`
    `none`
    `vibrator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PowerOnIndicator` | `fromValue(byte value)` Gets a power on indicator from its byte value.
    `byte` | `getCode()` Gets the byte value of the power on indicator.
    `static String[]` | `names()` Returns an array containing the names of the power on indicator constants.
    `String` | `toString()` Returns the string message of the power on indicator.
    `static PowerOnIndicator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PowerOnIndicator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final PowerOnIndicator none

    - #### beeper

          public static final PowerOnIndicator beeper

    - #### vibrator

          public static final PowerOnIndicator vibrator

    - #### beeperVibrator

          public static final PowerOnIndicator beeperVibrator

  - ### Method Detail

    - #### values

          public static PowerOnIndicator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PowerOnIndicator c : PowerOnIndicator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PowerOnIndicator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the power on indicator.
      Returns:
        The byte value of the power on indicator.

    - #### toString

          public String toString()

      Returns the string message of the power on indicator.
      Overrides:
        `toString` in class `Enum<PowerOnIndicator>`
      Returns:
        The string message of the power on indicator.

    - #### fromValue

          public static PowerOnIndicator fromValue(byte value)
                                            throws IllegalArgumentException

      Gets a power on indicator from its byte value.
      Parameters:
        `value` - The byte value of the power on indicator.
      Returns:
        The power on indicator associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any power on indicator.

    - #### names

          public static String[] names()

      Returns an array containing the names of the power on indicator constants.
      Returns:
        An array containing the names of the power on indicator constants.